# Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.
package LegacyPanel::Entity::Admin;

use strict;
use warnings;

use LegacyPanel::Entity;

use vars qw(@ISA);
@ISA = qw/ LegacyPanel::Entity /;

sub new($$) {
  my ($class) = @_;

  my $self = { };
  bless $self, $class;
  $self->_initLoad();
  return $self;
}

# "Abstract" methods

# package

sub getEntityType {
  return 'admin';
}
sub getChildType {
  return 'client';
}

# instance 

sub _initLoad($)      { die "Redefine me!"; }
sub getContactData($) { die "Redefine me!"; }

1;

